Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.testing.transportlayer
Class EpochTest

    java.lang.Object
      org.mpisws.p2p.testing.transportlayer.TLTest<MultiInetSocketAddress>
          org.mpisws.p2p.testing.transportlayer.EpochTest

    public class EpochTest

extends TLTest<MultiInetSocketAddress>

Field Summary
`static byte[]` | `GOOD_HDR` Goes to Alice/Bob

Constructor Summary
`EpochTest()`

Method Summary
`void` | `bogus()` To fool eclips's testing harness.
`MultiInetSocketAddress` | `getBogusIdentifier(MultiInetSocketAddress local)` The identifer to a bogus node.
`static void` | `setUpBeforeClass()`
`void` | `testFalseAddress()`
`void` | `testFalseAddressBypass()`

Methods inherited from class org.mpisws.p2p.testing.transportlayer.TLTest
`getIdentifier, messageTooBigUDP, noCallbackTest, openTCP, sendUDP, tearDownAfterClass, testSocketThreadSafety`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GOOD_HDR

    public static final byte[] GOOD_HDR

  Goes to Alice/Bob

Constructor Detail

### EpochTest

    public EpochTest()

Method Detail

### setUpBeforeClass

    public static void setUpBeforeClass()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### bogus

    public void bogus()

  To fool eclips's testing harness.

### testFalseAddress

    public void testFalseAddress()

### testFalseAddressBypass

    public void testFalseAddressBypass()

### getBogusIdentifier

    public MultiInetSocketAddress getBogusIdentifier(MultiInetSocketAddress local)
                                              throws java.io.IOException

  Description copied from class: `TLTest`
  The identifer to a bogus node.

  Specified by:
    `getBogusIdentifier` in class `TLTest<MultiInetSocketAddress>`
  Returns:
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.